Portlet API (V0.7.1) : Class WindowState

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class WindowState

    java.lang.Object
      |
      +--javax.portlet.WindowState

public class WindowState
extends java.lang.Object

The `WindowState` class represents the possible window states that a portlet window can assume.

This class defines a standard set of the most basic portlet window states. Additional window states may be defined by calling the constructor of this class.

Field Summary
`static WindowState` | `MAXIMIZED` The `MAXIMIZED` window state is an indication that a portlet may be the only portlet being rendered in the portal page, or that the portlet has more space compared to other portlets in the portal page.
`static WindowState` | `MINIMIZED` When a portlet is in `MINIMIZED` window state, the portlet should only render minimal output or no output at all.
`static WindowState` | `NORMAL` The `NORMAL` window state indicates that a portlet may be sharing the page with other portlets.

Constructor Summary
`WindowState(java.lang.String name)` Creates a new window state with the given name.

Method Summary
`boolean` | `equals(java.lang.Object object)` Compares the specified object with this window state for equality.
`int` | `hashCode()` Returns the hash code value for this window state.
`java.lang.String` | `toString()` Returns a String representation of this window state.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final WindowState NORMAL

  The `NORMAL` window state indicates that a portlet may be sharing the page with other portlets. It may also indicate that the target device has limited display capabilities. Therefore, a portlet should restrict the size of its rendered output in this window state.

  The string value for this state is `"normal"`.

### MAXIMIZED

    public static final WindowState MAXIMIZED

  The `MAXIMIZED` window state is an indication that a portlet may be the only portlet being rendered in the portal page, or that the portlet has more space compared to other portlets in the portal page. A portlet may generate richer content when its window state is `MAXIMIZED`.

  The string value for this state is `"maximized"`.

### MINIMIZED

    public static final WindowState MINIMIZED

  When a portlet is in `MINIMIZED` window state, the portlet should only render minimal output or no output at all.

  The string value for this state is `"minimized"`.

Constructor Detail

### WindowState

    public WindowState(java.lang.String name)

  Creates a new window state with the given name.

  Upper case letters in the name are converted to lower case letters.

  Parameters:
    `name` - The name of the portlet mode

Method Detail

### toString

    public java.lang.String toString()

  Returns a String representation of this window state. Window state names are always upper case names.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation of this window state.

### hashCode

    public int hashCode()

  Returns the hash code value for this window state. The hash code is constructed by producing the hash value of the String value of this window state.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    hash code value for this window state

### equals

    public boolean equals(java.lang.Object object)

  Compares the specified object with this window state for equality. Returns `true` if the Strings `equals` method for the String representing the two window states returns `true`.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true, if the specified object is equal with this window state.

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD